Bug 242012 - Pressing power button dims screen, then hangs
Pressing power button dims screen, then hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-01 05:04 EDT by Simon Goodall
Modified: 2008-06-16 21:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2007-06-01 05:04:34 EDT
Description of problem:
When I press the power button on my f7 machine, the screen dims, but never gets
the shutdown dialog and I have to kill X. g-p-m is set to "ask me" on power
button press.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.18.2-4.fc7

How reproducible:
Always

Steps to Reproduce:
1. Make sure gnome-power-manager is set to "ask me" on power button press.
2. Press power button
3.
  
Actual results:
Screen dims then does nothing. Not able to click on anything any more.

Expected results:
Expected to see a choice dialog.

Additional info:
Comment 1 Richard Hughes 2007-06-01 05:27:07 EDT
I get this too, although I put this down to old and svn packages doing crazy
things. 
Comment 2 Bastien Nocera 2007-06-01 05:59:46 EDT
Which version of gnome-session do you have? Are you using compiz or metacity?
Comment 3 Richard Hughes 2007-06-01 06:03:26 EDT
gnome-session-2.18.0-7.fc7 and I'm using metacity.
Comment 4 Bastien Nocera 2007-06-01 06:18:15 EDT
This was fixed in 2.18.0-8, looks like nobody asked for it to be in F7 final.

Reassigning to gnome-session.
Comment 5 Simon Goodall 2007-06-01 07:07:51 EDT
Same versions for me.
Comment 6 Richard Hughes 2007-06-01 07:21:19 EDT
I'm running a x60 with intel graphics if that helps.
Comment 7 ritz 2007-06-01 07:35:26 EDT
hitting this on a dell d620 with nvidia card with nvidia's driver .
the latest package on FC7 is gnome-session-2.18.0-7.fc7 :(
Comment 8 Bastien Nocera 2007-06-01 07:37:22 EDT
You can snatch the new gnome-session builds at:
http://koji.fedoraproject.org/koji/buildinfo?buildID=7031
or even newer at:
http://koji.fedoraproject.org/koji/buildinfo?buildID=7411

Both should fix it. It just needs to go out as an update.
Comment 9 Richard Hughes 2007-06-01 07:44:50 EDT
(In reply to comment #8)
> http://koji.fedoraproject.org/koji/buildinfo?buildID=7411

Yes, confirmed, this fixes the issue for me.
Comment 10 Simon Goodall 2007-06-01 08:06:57 EDT
build 7411 works for me too.
Comment 11 Ray Strode [halfline] 2007-06-01 11:03:05 EDT
grrrrr, we didn't get this tagged for release?  Let's get this out asap.
Comment 12 Ray Strode [halfline] 2007-06-01 11:06:42 EDT
Ah, Matthias is already pushed an update request.
Comment 13 Dario Lesca 2007-06-04 04:43:16 EDT
I have a similar problem with a HP ML110 ProLiant (an some other hardware), but
my system is in init 3 state.

If I press the power button when the system is on notthing is happens.

I must login with root and type poweroff for shutdown the server.
Comment 14 ritz 2007-06-04 05:37:27 EDT
kool. build #7411  works.
bravo ! for the fedora team .
Comment 15 Dario Lesca 2007-06-04 05:55:04 EDT
Sorry for the OT, but what means "build #7411"?
is a new version of kernel?
It's possible test it? How?
Comment 16 ritz 2007-06-04 06:04:21 EDT
buiild #7411 -> http://koji.fedoraproject.org/koji/buildinfo?buildID=7411
new version of gnome-session .
Comment 17 Dario Lesca 2007-06-04 08:00:38 EDT
No, my problem it happens on a system in init 3 state without gnome,
and on another server with gnome installed but the server in init 3 state
I must open another bug?
Comment 18 Bug Zapper 2008-05-14 08:42:26 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2008-06-16 21:20:36 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.